PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
MCWDT_STRUCT_Type Struct Reference

## Description

Multi-Counter Watchdog Timer (Type A) (MCWDT_STRUCT)

## Data Fields
__IM uint32_t | RESERVED
__IOM uint32_t | MCWDT_CNTLOW
__IOM uint32_t | MCWDT_CNTHIGH
__IOM uint32_t | MCWDT_MATCH
__IOM uint32_t | MCWDT_CONFIG
__IOM uint32_t | MCWDT_CTL
__IOM uint32_t | MCWDT_INTR
__IOM uint32_t | MCWDT_INTR_SET
__IOM uint32_t | MCWDT_INTR_MASK
__IM uint32_t | MCWDT_INTR_MASKED
__IOM uint32_t | MCWDT_LOCK
__IOM uint32_t | MCWDT_LOWER_LIMIT
__IM uint32_t | RESERVED1 [4]

## Field Documentation

## ◆ RESERVED

__IM uint32_t MCWDT_STRUCT_Type::RESERVED

## ◆ MCWDT_CNTLOW

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_CNTLOW

0x00000004 Multi-Counter Watchdog Sub-counters 0/1

## ◆ MCWDT_CNTHIGH

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_CNTHIGH

0x00000008 Multi-Counter Watchdog Sub-counter 2

## ◆ MCWDT_MATCH

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_MATCH

0x0000000C Multi-Counter Watchdog Counter Match Register

## ◆ MCWDT_CONFIG

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_CONFIG

0x00000010 Multi-Counter Watchdog Counter Configuration

## ◆ MCWDT_CTL

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_CTL

0x00000014 Multi-Counter Watchdog Counter Control

## ◆ MCWDT_INTR

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_INTR

0x00000018 Multi-Counter Watchdog Counter Interrupt Register

## ◆ MCWDT_INTR_SET

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_INTR_SET

0x0000001C Multi-Counter Watchdog Counter Interrupt Set Register

## ◆ MCWDT_INTR_MASK

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_INTR_MASK

0x00000020 Multi-Counter Watchdog Counter Interrupt Mask Register

## ◆ MCWDT_INTR_MASKED

__IM uint32_t MCWDT_STRUCT_Type::MCWDT_INTR_MASKED

0x00000024 Multi-Counter Watchdog Counter Interrupt Masked Register

## ◆ MCWDT_LOCK

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_LOCK

0x00000028 Multi-Counter Watchdog Counter Lock Register

## ◆ MCWDT_LOWER_LIMIT

__IOM uint32_t MCWDT_STRUCT_Type::MCWDT_LOWER_LIMIT

0x0000002C Multi-Counter Watchdog Counter Lower Limit Register

## ◆ RESERVED1

__IM uint32_t MCWDT_STRUCT_Type::RESERVED1[4]